> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pool Tokens Info by Pool Address

> This endpoint allows you to **query pool metadata (base and quote token details, image, socials, websites, description, contract address, etc.) based on a provided pool contract address on a network**

<Tip>
  ### Tips

  * If you would like to query pool data such as price, transactions, volume, etc., you can go to this endpoint [`/networks/{network}/pools/{address}`](/reference/pool-address) instead.
  * Learn more about [GT Score](https://support.coingecko.com/hc/en-us/articles/38381394237593-What-is-GT-Score-How-is-GT-Score-calculated) and [GT Verified](https://support.coingecko.com/hc/en-us/articles/54413671274649-What-is-GT-Verified-Badge).
  * Metadata (image, websites, description, socials) may be sourced on-chain and is not vetted by the CoinGecko team. If you wish to get metadata reviewed by the CoinGecko team, you may use the following endpoints:
    * [Coin Data by ID](/reference/coins-id)
    * [Coin Data by Token Address](/reference/coins-contract-address)
</Tip>

<Note>
  ### Note

  * `holders` data is currently in Beta, with ongoing improvements to data quality, coverage, and update frequency.
    * Supported chains include: Solana, EVM (Ethereum, Polygon, BNB, Arbitrum, Optimism, Base), Sui, TON, and Ronin.
    * `distribution_percentage` coverage:
      * Solana: `top_10`, `11_20`, `21_40`, `rest`
      * Other chains: `top_10`, `11_30`, `31_50`, `rest`
  * For tokens on a bonding curve (i.e. non-graduated tokens from launchpads), the response will include a `launchpad_details` object containing their graduation status and details.
  * Cache / Update Frequency: every 60 seconds.
</Note>


## OpenAPI

````yaml api-reference/onchain-pro.json get /networks/{network}/pools/{pool_address}/info
openapi: 3.0.0
info:
  title: Onchain DEX API (Pro)
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /networks/{network}/pools/{pool_address}/info:
    get:
      tags:
        - Tokens
      summary: Pool Tokens Info by Pool Address
      description: >-
        This endpoint allows you to **query pool metadata (base and quote token
        details, image, socials, websites, description, contract address, etc.)
        based on a provided pool contract address on a network**
      operationId: pool-token-info-contract-address
      parameters:
        - name: network
          in: path
          description: |-
            network ID 
             *refers to [/networks](/reference/networks-list)
          required: true
          schema:
            type: string
            example: eth
            default: eth
        - name: pool_address
          in: path
          description: pool contract address
          required: true
          schema:
            type: string
            example: '0x06da0fd433c1a5d7a4faa01111c044910a184553'
            default: '0x06da0fd433c1a5d7a4faa01111c044910a184553'
        - name: include
          in: query
          required: false
          description: attributes to include
          schema:
            type: string
            enum:
              - pool
      responses:
        '200':
          description: Get pool tokens info on a network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolTokensInfo'
components:
  schemas:
    PoolTokensInfo:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
        included:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  base_token_address:
                    type: string
                  quote_token_address:
                    type: string
                  sentiment_vote_positive_percentage:
                    type: number
                  sentiment_vote_negative_percentage:
                    type: number
                  community_sus_report:
                    type: number
      example:
        data:
          - id: eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
            type: token
            attributes:
              address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              name: Wrapped Ether
              symbol: WETH
              image_url: >-
                https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332
              image:
                thumb: >-
                  https://assets.coingecko.com/coins/images/2518/thumb/weth.png?1696503332
                small: >-
                  https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332
                large: >-
                  https://assets.coingecko.com/coins/images/2518/large/weth.png?1696503332
              coingecko_coin_id: weth
              websites:
                - https://weth.io/
              discord_url: null
              farcaster_url: null
              zora_url: null
              telegram_handle: null
              twitter_handle: null
              description: >-
                WETH is the tokenized/packaged form of ETH that you use to pay
                for items when you interact with Ethereum dApps...
              gt_score: 92.6605504587156
              gt_score_details:
                pool: 87.5
                transaction: 0
                creation: 100
                info: 100
                holders: 100
              gt_verified: true
              categories: []
              gt_category_ids: []
              holders:
                count: 1385496
                distribution_percentage:
                  top_10: '55.1184'
                  '11_30': '13.5825'
                  '31_50': '4.7971'
                  rest: '26.502'
                last_updated: '2025-03-12T13:07:47Z'
              mint_authority: null
              freeze_authority: null
              is_honeypot: false
          - id: eth_0xdac17f958d2ee523a2206206994597c13d831ec7
            type: token
            attributes:
              address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
              name: Tether USD
              symbol: USDT
              image_url: >-
                https://assets.coingecko.com/coins/images/325/small/Tether.png?1696501661
              coingecko_coin_id: tether
              websites:
                - https://tether.to/
              discord_url: null
              farcaster_url: null
              zora_url: null
              telegram_handle: null
              twitter_handle: Tether_to
              description: >-
                Tether (USDT) is a cryptocurrency with a value meant to mirror
                the value of the U.S. dollar. ...
              gt_score: 92.6605504587156
              gt_score_details:
                pool: 87.5
                transaction: 0
                creation: 100
                info: 100
                holders: 0
              gt_verified: true
              categories: []
              gt_category_ids: []
              holders:
                count: 7041203
                distribution_percentage:
                  top_10: '45.5782'
                  '11_30': '13.4293'
                  '31_50': '3.9681'
                  rest: '37.0244'
                last_updated: '2025-03-12T05:28:50Z'
              mint_authority: null
              freeze_authority: null
              is_honeypot: false
        included:
          - id: eth_0x06da0fd433c1a5d7a4faa01111c044910a184553
            type: pool
            attributes:
              base_token_address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
              quote_token_address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              sentiment_vote_positive_percentage: 0
              sentiment_vote_negative_percentage: 0
              community_sus_report: 0
    TokenInfo:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                address:
                  type: string
                name:
                  type: string
                symbol:
                  type: string
                decimals:
                  type: integer
                image_url:
                  type: string
                image:
                  type: object
                  properties:
                    thumb:
                      type: string
                    small:
                      type: string
                    large:
                      type: string
                coingecko_coin_id:
                  type: string
                websites:
                  type: array
                  items:
                    type: string
                discord_url:
                  type: string
                farcaster_url:
                  type: string
                zora_url:
                  type: string
                telegram_handle:
                  type: string
                twitter_handle:
                  type: string
                description:
                  type: string
                gt_score:
                  type: number
                gt_score_details:
                  type: object
                  properties:
                    pool:
                      type: number
                    transaction:
                      type: number
                    creation:
                      type: number
                    info:
                      type: number
                    holders:
                      type: number
                gt_verified:
                  type: boolean
                categories:
                  type: array
                  items:
                    type: string
                gt_category_ids:
                  type: array
                  items:
                    type: string
                holders:
                  type: object
                  properties:
                    count:
                      type: integer
                    distribution_percentage:
                      type: object
                      properties:
                        top_10:
                          type: number
                        '11_30':
                          type: number
                        '31_50':
                          type: number
                        rest:
                          type: number
                    last_updated:
                      type: string
                mint_authority:
                  type: string
                freeze_authority:
                  type: string
                is_honeypot:
                  oneOf:
                    - type: boolean
                    - type: string
      example:
        data:
          id: eth_0xdac17f958d2ee523a2206206994597c13d831ec7
          type: token
          attributes:
            address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
            name: Tether USD
            symbol: USDT
            decimals: 6
            image_url: >-
              https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661
            image:
              thumb: >-
                https://coin-images.coingecko.com/coins/images/325/thumb/Tether.png?1696501661
              small: >-
                https://coin-images.coingecko.com/coins/images/325/small/Tether.png?1696501661
              large: >-
                https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661
            coingecko_coin_id: tether
            websites:
              - https://tether.to
            discord_url: null
            farcaster_url: null
            zora_url: null
            telegram_handle: null
            twitter_handle: Tether_to
            description: >-
              Tether (USDT) is a cryptocurrency with a value meant to mirror the
              value of the U.S. dollar...
            gt_score: 92.66055045871559
            gt_score_details:
              pool: 87.5
              transaction: 100
              creation: 100
              info: 100
              holders: 100
            gt_verified: true
            categories: []
            gt_category_ids: []
            holders:
              count: 9409235
              distribution_percentage:
                top_10: '47.5704'
                '11_30': '11.3944'
                '31_50': '5.1233'
                rest: '35.9119'
              last_updated: '2026-03-18T03:13:27Z'
            mint_authority: null
            freeze_authority: null
            is_honeypot: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````